Index: tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2924)
+++ tmp/org.txm.core/src/java/org/txm/core/results/TXMResult.java	(revision 2925)
@@ -2379,7 +2379,7 @@
 			if (this.parent != null && !(this.parent instanceof Project) && !(this.parent instanceof Workspace)
 					&& !this.parent.isComputing()) {
 				
-				mainSubMonitor.setTaskName("Computing parents branch...");
+				mainSubMonitor.setTaskName(NLS.bind(TXMCoreMessages.computingParentsOfP0, parent.getName()));
 				
 				Log.finest("TXMResult.compute(): " + this.getClass().getSimpleName() + ": starting parent (" + this.parent.getClass().getSimpleName() + ") computing process...");
 				
@@ -2618,7 +2618,6 @@
 	 */
 	protected abstract boolean _compute(TXMProgressMonitor monitor) throws Exception;
 	
-	
 	/***
 	 * Checks if the result must be persisted according to the persistence global preference or the user persistable state.
 	 * 
@@ -2658,12 +2657,12 @@
 	
 	
 	
-	// 
+	//
 	/**
 	 * @Deprecated
-	 * FIXME: SJ: should be moved in an exporter extension
+	 * 			FIXME: SJ: should be moved in an exporter extension
 	 * 
-	 * wrapper to ensure the result is ready to be computed (not computing, computed)
+	 *             wrapper to ensure the result is ready to be computed (not computing, computed)
 	 * 
 	 * @param outfile
 	 * @param encoding
@@ -2686,9 +2685,9 @@
 	
 	/**
 	 * @Deprecated
-	// FIXME: SJ: should be moved in an exporter extension
+	 * 			// FIXME: SJ: should be moved in an exporter extension
 	 * 
-	 * TXMResults must implement this method to be exported.
+	 *             TXMResults must implement this method to be exported.
 	 * 
 	 * @param outfile
 	 * @param encoding
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2924)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2925)
@@ -319,6 +319,8 @@
 	
 	public static String updatingCorpus;
 	
+	public static String computingParentsOfP0;
+	
 	/**
 	 * Binds the given message's substitution locations with the given string values.
 	 * 
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 2924)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages_fr.properties	(revision 2925)
@@ -13,6 +13,8 @@
 catalogFileNotFoundP0 = ** Fichier de catalogue introuvable {0}.
 
 checkingBinaryFormat = Vérification du format du corpus binaire…
+
+computingParentsOfP0=Calculs des parents de ''{1}''...
 
 common_P0ItemsForP1Occurrences   = {0} items pour {1} occurrences.
 common_P0Occurrences             = {0} occurrences.
@@ -162,7 +164,7 @@
 in = \ dans\	\	\	\	\	\	\	\	
 
 info_cancelingComputingOfP0P1 = Abandon du calcul de : {0} ({1})...
-info_computingChildrenOfP0P1  = Calcul des enfants de {0} ({1})...
+info_computingChildrenOfP0P1  = Calcul des enfants de ''{0}'' ({1})...
 info_p0P1Deleted              = {0} "{1}" supprimé(e).
 
 initializationOfGroovyImportScriptRunner = Initialisation de GroovyImportScriptRunner
Index: tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 2924)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 2925)
@@ -15,6 +15,7 @@
 catalogFileNotFoundP0 = ** Catalog file {0} not found.
 
 checkingBinaryFormat = Checking binary corpus format...
+computingParentsOfP0=Computing parents branch of ''{1}''...
 
 common_P0ItemsForP1Occurrences   = {0} item for {1} occurrences.
 common_P0Occurrences             = {0} occurrences.
@@ -166,7 +167,7 @@
 in = \ in \	\	\	\	\	\	\	\	
 
 info_cancelingComputingOfP0P1 = Canceling computing of {0} ({1})...
-info_computingChildrenOfP0P1  = Computing children of {0} ({1})...
+info_computingChildrenOfP0P1  = Computing children of ''{0}'' ({1})...
 info_p0P1Deleted              = {0} "{1}" deleted.
 
 initializationOfGroovyImportScriptRunner = Initialization of GroovyImportScriptRunner
